Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::TransferSwitch_4_0_4::Sensors Struct Reference

Transfer switch sensors. More...

`import"TransferSwitch.idl";`

## Public Attributes
sensors::StateSensor_4_0_3 | selectedSource
| Selected source sensor.
sensors::StateSensor_4_0_3 | operationalState
| Operational state sensor (off, normal, standby)
sensors::NumericSensor_4_0_3 | sourceVoltagePhaseSyncAngle
| Maximum phase difference between two sources.
sensors::StateSensor_4_0_3 | overloadAlarm
| Overload alarm.
sensors::StateSensor_4_0_3 | phaseSyncAlarm
| Source phases out of sync.
sensors::StateSensor_4_0_3 | switchFault
| Switch fault (ok, open, short)

## Detailed Description

Transfer switch sensors.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/TransferSwitch.idl